Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfTransitionOnClickType

    java.lang.Object
      java.lang.Enum<OdfTransitionOnClickType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfTransitionOnClickType

All Implemented Interfaces:
  Serializable, Comparable<OdfTransitionOnClickType>

    public enum OdfTransitionOnClickType

extends Enum<OdfTransitionOnClickType>

DOM implementation of OpenDocument attribute presentation:transition-on-click.

Enum Constant Summary
`DISABLED`
`ENABLED`

Method Summary
`static OdfTransitionOnClickType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTransitionOnClickType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTransitionOnClickType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTransitionOnClickType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLED

    public static final OdfTransitionOnClickType DISABLED

### ENABLED

    public static final OdfTransitionOnClickType ENABLED

Method Detail

### values

    public static OdfTransitionOnClickType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTransitionOnClickType c : OdfTransitionOnClickType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTransitionOnClickType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTransitionOnClickType>`
  Returns:
    return the name of OdfTransitionOnClickType

### toString

    public static String toString(OdfTransitionOnClickType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTransitionOnClickType, see presentation:transition-on-click
  Returns:
    return the name of OdfTransitionOnClickType

### enumValueOf

    public static OdfTransitionOnClickType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTransitionOnClickType
  Returns:
    return the constant of OdfTransitionOnClickType, see presentation:transition-on-click

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.